"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var normalize = exports.normalize = function normalize(arr, entityCallback) {
  var ids = [];
  var entities = {};
  // Say what... What are you trying to do here?
  arr.forEach(function (item, i) {
    ids.push(i.toString());
    if (entityCallback) {
      entities[i] = entityCallback(item, i);
    } else {
      entities[i] = item;
    }
  });

  return { ids: ids, entities: entities };
};