'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DetectionListItem = function (_React$Component) {
  _inherits(DetectionListItem, _React$Component);

  function DetectionListItem() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, DetectionListItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = DetectionListItem.__proto__ || Object.getPrototypeOf(DetectionListItem)).call.apply(_ref, [this].concat(args))), _this), _this.onClickDetection = function () {
      var _this$props = _this.props,
          segment = _this$props.segment,
          onClickMarker = _this$props.onClickMarker;

      var time = segment.s / 1000;
      onClickMarker(time);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(DetectionListItem, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          segment = _props.segment,
          color = _props.color,
          calcTimeOffset = _props.calcTimeOffset;

      var start = calcTimeOffset(segment.s / 1000);
      var end = calcTimeOffset(segment.e / 1000);

      var segmentStyles = {
        left: start + 'px',
        width: end - start + 'px',
        backgroundColor: color
      };

      return _react2.default.createElement('a', {
        href: '#',
        className: 'listing__detection__marker',
        style: segmentStyles,
        onClick: this.onClickDetection
      });
    }
  }]);

  return DetectionListItem;
}(_react2.default.Component);

DetectionListItem.propTypes = {
  segment: _propTypes2.default.object.isRequired,
  color: _propTypes2.default.string.isRequired,
  calcTimeOffset: _propTypes2.default.func.isRequired,
  onClickMarker: _propTypes2.default.func.isRequired
};
exports.default = DetectionListItem;