'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MediaWrapper = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectToPlayer = require('./refactor/connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

var _Media = require('./refactor/Media');

var _Media2 = _interopRequireDefault(_Media);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import ReactPlayer from 'react-player/lib/ReactPlayer';


var MediaWrapper = exports.MediaWrapper = function (_React$Component) {
  _inherits(MediaWrapper, _React$Component);

  function MediaWrapper() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, MediaWrapper);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = MediaWrapper.__proto__ || Object.getPrototypeOf(MediaWrapper)).call.apply(_ref, [this].concat(args))), _this), _this.__instanceEventsList = new Map(), _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(MediaWrapper, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(newProps) {
      var _this2 = this;

      var _props = this.props,
          __instance = _props.__instance,
          playerRef = _props.playerRef;

      if (newProps.__instance !== __instance) {
        this.__instanceEventsList.forEach(function (listener, event) {
          return _this2.props.__instance.removeEventListener(event, listener);
        });

        this.__instanceEventsList = new Map().set('play', __instance.addEventListener('play', function (e) {
          return _this2.props.onPlay(e);
        })).set('timeupdate', __instance.addEventListener('timeupdate', function (e) {
          return _this2.props.onTimeUpdate(e);
        })).set('ended', __instance.addEventListener('ended', function (e) {
          return _this2.props.onEnded(e);
        })).set('durationchange', __instance.addEventListener('durationchange', function (e) {
          return _this2.props.onDurationChange(e);
        }));

        if (typeof playerRef === 'function') playerRef(__instance);
      }

      /*
      if (newProps.playing === __instance.paused) {
        if (newProps.playing) {
          __instance.play();
        } else {
          __instance.pause();
        }
      }
      */

      if (newProps.volume / 100 !== this.props.volume) {
        // __instance.volume = newProps.volume / 100;
      }

      if (newProps.src !== this.props.src) {
        __instance.src = newProps.src;
        __instance.load();
      }
    }
  }, {
    key: 'componentWillMount',
    value: function componentWillMount() {
      var _this3 = this;

      var _props2 = this.props,
          __instance = _props2.__instance,
          playerRef = _props2.playerRef;


      this.__instanceEventsList = new Map().set('play', __instance.addEventListener('play', function (e) {
        return _this3.props.onPlay(e);
      })).set('timeupdate', __instance.addEventListener('timeupdate', function (e) {
        return _this3.props.onTimeUpdate(e);
      })).set('ended', __instance.addEventListener('ended', function (e) {
        return _this3.props.onEnded(e);
      })).set('durationchange', __instance.addEventListener('durationchange', function (e) {
        return _this3.props.onDurationChange(e);
      }));

      if (typeof playerRef === 'function') playerRef(__instance);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      var __instance = this.props.__instance;


      this.__instanceEventsList.forEach(function (listener, event) {
        return __instance.removeEventListener(event, listener);
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement('div', null);
    }
  }]);

  return MediaWrapper;
}(_react2.default.Component);

MediaWrapper.propTypes = {
  __instance: _propTypes2.default.instanceOf(Element).isRequired,
  src: _propTypes2.default.string,
  playing: _propTypes2.default.bool,
  volume: _propTypes2.default.number,
  onPlay: _propTypes2.default.func,
  onTimeUpdate: _propTypes2.default.func,
  onEnded: _propTypes2.default.func,
  onDurationChange: _propTypes2.default.func,
  playerRef: _propTypes2.default.func.isRequired
};
exports.default = (0, _connectToPlayer2.default)()(MediaWrapper);