'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _VolumeSlider = require('../VolumeSlider');

var _VolumeSlider2 = _interopRequireDefault(_VolumeSlider);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VolumeSliderPopover = function VolumeSliderPopover() {
  var id = 'volume-slider ' + Date.now();
  return React.createElement(
    _reactBootstrap.Popover,
    { id: id, className: 'volume-slider' },
    React.createElement(_VolumeSlider2.default, {
      orientation: 'vertical',
      value: undefined.state.volume,
      onChange: undefined.onVolumeChange
    })
  );
};

exports.default = VolumeSliderPopover;