'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _antd = require('antd');

var _connectToPlayer = require('./connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectDestructuringEmpty(obj) { if (obj == null) throw new TypeError("Cannot destructure undefined"); }

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    setActiveTopic: bindActionCreators(setActiveTopic, dispatch),
    setMarkers: bindActionCreators(setMarkers, dispatch)
  };
};

var BookmarkList = function BookmarkList(_ref) {
  _objectDestructuringEmpty(_ref);

  return _react2.default.createElement(
    _antd.Tabs,
    {
      defaultActiveKey: '1',
      tabPosition: 'left',
      style: { height: 220 }
    },
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 1', key: '1' },
      'Content of tab 1'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 2', key: '2' },
      'Content of tab 2'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 3', key: '3' },
      'Content of tab 3'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 4', key: '4' },
      'Content of tab 4'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 5', key: '5' },
      'Content of tab 5'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 6', key: '6' },
      'Content of tab 6'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 7', key: '7' },
      'Content of tab 7'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 8', key: '8' },
      'Content of tab 8'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 9', key: '9' },
      'Content of tab 9'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 10', key: '10' },
      'Content of tab 10'
    ),
    _react2.default.createElement(
      _antd.Tabs.TabPane,
      { tab: 'Tab 11', key: '11' },
      'Content of tab 11'
    )
  );
};

BookmarkList.propTypes = {
  __instance: _propTypes2.default.instanceOf(Element).isRequired,
  volume: _propTypes2.default.number.isRequired
};

exports.default = BookmarkList;
//export default connectToPlayer()(BookmarkList);