'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MediaBridge = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectToPlayer = require('./connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

var _Media = require('./Media');

var _Media2 = _interopRequireDefault(_Media);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import ReactPlayer from 'react-player/lib/ReactPlayer';


// Temporary bridge to interface with the old player architecture.
var MediaBridge = exports.MediaBridge = function (_React$Component) {
  _inherits(MediaBridge, _React$Component);

  function MediaBridge() {
    _classCallCheck(this, MediaBridge);

    return _possibleConstructorReturn(this, (MediaBridge.__proto__ || Object.getPrototypeOf(MediaBridge)).apply(this, arguments));
  }

  _createClass(MediaBridge, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(newProps) {
      var __instance = this.props.__instance;


      if (newProps.src !== this.props.src) {
        __instance.src = newProps.src;
        __instance.load();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var type = this.props.type;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_Media2.default, { hidden: type === 'audio' })
      );
    }
  }]);

  return MediaBridge;
}(_react2.default.Component);

MediaBridge.propTypes = {
  __instance: _propTypes2.default.instanceOf(Element).isRequired,
  src: _propTypes2.default.string,
  type: _propTypes2.default.string
};
MediaBridge.defaultProps = {
  src: '',
  type: 'audio'
};
exports.default = (0, _connectToPlayer2.default)()(MediaBridge);