'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rootActions = exports.rootReducers = undefined;

var _redux = require('redux');

var _markers = require('./modules/markers');

var _markers2 = _interopRequireDefault(_markers);

var _mediaData = require('./modules/mediaData');

var _mediaData2 = _interopRequireDefault(_mediaData);

var _player = require('./modules/player');

var _player2 = _interopRequireDefault(_player);

var _platformApiData = require('./modules/platformApiData');

var _platformApiData2 = _interopRequireDefault(_platformApiData);

var _urlData = require('./modules/urlData');

var _urlData2 = _interopRequireDefault(_urlData);

var _search = require('./modules/search');

var _search2 = _interopRequireDefault(_search);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var rootReducers = exports.rootReducers = (0, _redux.combineReducers)({
  mediaData: _mediaData2.default,
  player: _player2.default,
  markers: _markers2.default,
  platformApiData: _platformApiData2.default,
  urlData: _urlData2.default,
  search: _search2.default
});

var rootActions = exports.rootActions = Object.assign({}, _mediaData.actions, _player.actions, _markers.actions, _platformApiData.actions, _urlData.actions, _search.actions);