'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = connectWrapper;

var _reactRedux = require('react-redux');

var _redux = require('redux');

function connectWrapper(actions, view) {
  var mapStateToProps = function mapStateToProps(state) {
    return {
      state: state
    };
  };

  var mapDispatchToProps = function mapDispatchToProps(dispatch) {
    return {
      actions: (0, _redux.bindActionCreators)(actions, dispatch)
    };
  };

  return (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(view);
}