'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Predictions = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBootstrap = require('react-bootstrap');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Predictions = exports.Predictions = function (_React$Component) {
  _inherits(Predictions, _React$Component);

  function Predictions() {
    _classCallCheck(this, Predictions);

    return _possibleConstructorReturn(this, (Predictions.__proto__ || Object.getPrototypeOf(Predictions)).apply(this, arguments));
  }

  _createClass(Predictions, [{
    key: 'getClass',
    value: function getClass(value, classes) {
      return (0, _classnames2.default)(classes, 'listing__prediction__value', {
        'text-success': value > 0,
        'text-muted': value <= 0
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var predictions = this.props.predictionsState;

      return _react2.default.createElement(
        'div',
        { className: 'listing__prediction' },
        _react2.default.createElement(
          _reactBootstrap.Row,
          null,
          predictions.sales_lead && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h4',
              { className: 'listing__prediction__heading' },
              'Hot Sales',
              _react2.default.createElement('br', null),
              'Lead'
            ),
            _react2.default.createElement(
              'h6',
              { className: this.getClass(predictions.sales_lead.value) },
              predictions.sales_lead.value
            )
          ),
          predictions.request_quote && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h5',
              { className: 'listing__prediction__heading' },
              'Request',
              _react2.default.createElement('br', null),
              'for Quote'
            ),
            _react2.default.createElement(
              'h6',
              { className: this.getClass(predictions.request_quote.value) },
              predictions.request_quote.value
            )
          ),
          predictions.directions && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h5',
              { className: 'listing__prediction__heading' },
              'Directions',
              _react2.default.createElement('br', null),
              'Requested'
            ),
            _react2.default.createElement(
              'h6',
              { className: this.getClass(predictions.directions.value) },
              predictions.directions.value
            )
          ),
          predictions.employment && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h5',
              { className: 'listing__prediction__heading' },
              'Asked About',
              _react2.default.createElement('br', null),
              'Employment'
            ),
            _react2.default.createElement(
              'h6',
              { className: this.getClass(predictions.employment.value) },
              predictions.employment.value
            )
          ),
          predictions.churn && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h5',
              { className: 'listing__prediction__heading' },
              'Churn',
              _react2.default.createElement('br', null),
              'Risk'
            ),
            _react2.default.createElement(
              'h6',
              {
                className: this.getClass(predictions.churn.value, 'listing__prediction--churn') },
              predictions.churn.value,
              '%'
            )
          ),
          predictions.appointment && _react2.default.createElement(
            _reactBootstrap.Col,
            { sm: 2 },
            _react2.default.createElement(
              'h4',
              { className: 'listing__prediction__heading' },
              'Appointment',
              _react2.default.createElement('br', null),
              'Request'
            ),
            _react2.default.createElement(
              'h6',
              { className: 'listing__prediction__value text-success' },
              predictions.appointment.value && _react2.default.createElement('i', { className: 'fa fa-check' }),
              !predictions.appointment.value && _react2.default.createElement('i', { className: 'fa fa-times icon-fail' })
            )
          )
        )
      );
    }
  }]);

  return Predictions;
}(_react2.default.Component);

Predictions.propTypes = {
  predictionsState: _propTypes2.default.object.isRequired
};
exports.default = Predictions;