'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectToPlayer = require('../connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// This needs to be broken out into two separate classes as a later time.

var PrimaryControls = function (_React$Component) {
  _inherits(PrimaryControls, _React$Component);

  function PrimaryControls() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, PrimaryControls);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = PrimaryControls.__proto__ || Object.getPrototypeOf(PrimaryControls)).call.apply(_ref, [this].concat(args))), _this), _this.play = function () {
      var __instance = _this.props.__instance;

      __instance.play();
    }, _this.pause = function () {
      var __instance = _this.props.__instance;

      __instance.pause();
    }, _this.seekNext = function () {
      var _this$props = _this.props,
          bookmarks = _this$props.bookmarks,
          __instance = _this$props.__instance,
          currentTime = _this$props.currentTime;


      var next = bookmarks.find(function (b) {
        return b.time - currentTime > 0.1;
      }) || bookmarks[0];

      __instance.currentTime = next ? next.time : 0;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(PrimaryControls, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          paused = _props.paused,
          bookmarks = _props.bookmarks,
          readyState = _props.readyState;


      return _react2.default.createElement(
        _antd.Button.Group,
        null,
        paused ? _react2.default.createElement(
          _antd.Button,
          { size: 'large', onClick: this.play, loading: readyState < 3 },
          _react2.default.createElement(_antd.Icon, { type: 'caret-right' })
        ) : _react2.default.createElement(
          _antd.Button,
          { size: 'large', onClick: this.pause },
          _react2.default.createElement(_antd.Icon, { type: 'pause' })
        ),
        _react2.default.createElement(
          _antd.Button,
          { size: 'large', disabled: !bookmarks.length, onClick: this.seekNext },
          _react2.default.createElement(_antd.Icon, { type: 'step-forward' })
        )
      );
    }
  }]);

  return PrimaryControls;
}(_react2.default.Component);

PrimaryControls.propTypes = {
  __instance: _propTypes2.default.instanceOf(Element).isRequired,
  currentTime: _propTypes2.default.number.isRequired,
  readyState: _propTypes2.default.number.isRequired,
  bookmarks: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    value: _propTypes2.default.number
  })).isRequired,
  paused: _propTypes2.default.bool.isRequired
};
exports.default = (0, _connectToPlayer2.default)()(PrimaryControls);