'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectToPlayer = require('./connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

var _downloadFile = require('../../../common/downloadFile');

var _downloadFile2 = _interopRequireDefault(_downloadFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 Might make more sense to expose a buttonTemplate property that we can pass
 a function, node, or react class rather than using children and a div.
*/

var Download = function Download(_ref) {
  var src = _ref.src,
      children = _ref.children;
  return _react2.default.createElement(
    'div',
    { onClick: function onClick() {
        return (0, _downloadFile2.default)(src);
      } },
    children
  );
};

Download.propTypes = {
  children: _propTypes2.default.node.isRequired,
  src: _propTypes2.default.string.isRequired
};

exports.default = (0, _connectToPlayer2.default)()(Download);