'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectToPlayer = require('../connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// TODO: Clean this up
var getNumbers = function getNumbers(duration, steps) {
  var arr = [];
  var step = duration / steps;
  for (var i = 0; i <= steps; i += 1) {
    arr.push(_react2.default.createElement(
      'text',
      {
        key: i,
        textAnchor: 'end',
        x: 100 * (i * step / duration) + '%',
        y: '12',
        style: { fontSize: '12px' }
      },
      new Date(i * step * 1000).toUTCString().split(' ')[4].substr(3)
    ));
  }
  return arr;
};

var StepAxis = function (_React$Component) {
  _inherits(StepAxis, _React$Component);

  function StepAxis() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, StepAxis);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = StepAxis.__proto__ || Object.getPrototypeOf(StepAxis)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      width: -1
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(StepAxis, [{
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      if (this.state.width !== this.widthDiv.offsetWidth) {
        // Bad form here doing an update in the did update, but this is the only way around getting
        // the width of the area without building it properly into the player.
        // eslint-disable-next-line react/no-did-update-set-state
        this.setState({
          width: this.widthDiv.offsetWidth
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var duration = this.props.duration;
      var width = this.state.width;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement('div', { ref: function ref(widthDiv) {
            _this2.widthDiv = widthDiv;
          } }),
        width !== -1 && _react2.default.createElement(
          'svg',
          { width: '100%', height: '12px' },
          getNumbers(duration, parseInt(width / 50, 10))
        )
      );
    }
  }]);

  return StepAxis;
}(_react2.default.Component);

;

StepAxis.propTypes = {
  duration: _propTypes2.default.number.isRequired
};

exports.default = (0, _connectToPlayer2.default)()(StepAxis);