'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _antd = require('antd');

var _connectToPlayer = require('./connectToPlayer');

var _connectToPlayer2 = _interopRequireDefault(_connectToPlayer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  We're going to need to extend this to allow UI customization.
 */

var Volume = function Volume(_ref) {
  var volume = _ref.volume,
      __instance = _ref.__instance;
  return _react2.default.createElement(_antd.Slider, {
    vertical: true,
    style: { height: '80px' },
    min: 0,
    max: 100,
    step: 1,
    defaultValue: volume * 100,
    onChange: function onChange(value) {
      __instance.volume = value / 100;
    } // TODO: use a method call
  });
};

Volume.propTypes = {
  __instance: _propTypes2.default.instanceOf(Element).isRequired,
  volume: _propTypes2.default.number.isRequired
};

exports.default = (0, _connectToPlayer2.default)()(Volume);