'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Rx = require('rxjs/Rx');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function connectToPlayer() {
  var mapStateToProps = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : function (media, analytics, ui) {
    return _extends({}, media, analytics, ui);
  };
  var mapDispatchToProps = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function (dispatch) {
    return dispatch;
  };

  return function (WrappedComponent) {
    var _class, _temp;

    return (
      // ...and returns another component...
      _temp = _class = function (_React$Component) {
        _inherits(_class, _React$Component);

        function _class(props, context) {
          _classCallCheck(this, _class);

          var _this = _possibleConstructorReturn(this, (_class.__proto__ || Object.getPrototypeOf(_class)).call(this, props, context));

          _this.dispatchers = {};


          _this.stateStream = _Rx.Observable.merge(context.stateStream
          // add an observer to watch the props of this component
          );
          return _this;
        }

        _createClass(_class, [{
          key: 'getChildContext',
          value: function getChildContext() {
            return {
              stateStream: this.stateStream
            };
          }
        }, {
          key: 'componentWillMount',
          value: function componentWillMount() {
            var _this2 = this;

            var _context = this.context,
                stateStream = _context.stateStream,
                __instanceStream = _context.__instanceStream;

            this.__stateStreamSubscription = stateStream.subscribe(function (state) {
              _this2.setState({
                media: state.media,
                analytics: state.analytics,
                ui: state.ui
              });
            });

            this.__instanceStreamSubscription = __instanceStream.subscribe(function (__instance) {
              _this2.setState({ __instance: __instance });
            });
          }
        }, {
          key: 'componentWillUnmount',
          value: function componentWillUnmount() {
            this.__stateStreamSubscription.unsubscribe();
            this.__instanceStreamSubscription.unsubscribe();
          }
        }, {
          key: 'render',
          value: function render() {
            var assignedProps = Object.assign({ __instance: this.state.__instance }, mapStateToProps(this.state.media, this.state.analytics, this.state.ui, this.props), mapDispatchToProps(this.dispatchers, this.props), this.props);

            // ... and renders the wrapped component with the fresh data!
            // Notice that we pass through any additional props
            return _react2.default.createElement(WrappedComponent, assignedProps);
          }
        }]);

        return _class;
      }(_react2.default.Component), _class.contextTypes = {
        __instanceStream: _propTypes2.default.instanceOf(_Rx.Observable).isRequired,
        stateStream: _propTypes2.default.instanceOf(_Rx.Observable).isRequired
      }, _class.childContextTypes = {
        stateStream: _propTypes2.default.instanceOf(_Rx.Observable).isRequired
      }, _temp
    );
  };
}

exports.default = connectToPlayer;